<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g==" crossorigin="anonymous" referrerpolicy="no-referrer"
    />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/uikit@3.14.1/dist/css/uikit.min.css" />
    <link rel="stylesheet" href="https://unpkg.com/element-ui/lib/theme-chalk/index.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/foundation-sites@6.7.4/dist/css/foundation.min.css" crossorigin="anonymous">
    <link rel="stylesheet" href="css/card-scan.css">
    <title>Yu Gi Oh! Trade</title>
</head>

<body>

    <!----------------------------- Nav Bar Area----------------------------->
    <!-- <div id="nav-opacity-style" class="uk-section-default uk-preserve-color"> -->
    <div uk-sticky="start: 85; animation: uk-animation-slide-top; sel-target: .uk-navbar-container; cls-active: uk-navbar-sticky; cls-inactive: uk-navbar-transparent">
        <nav class="navbar navbar-expand-lg bg-light p-0 uk-navbar-container">
            <div class="container-fluid navbar-container nav-bar-style">
                <a class="navbar-brand" href="/"><img src="/logo.png" alt=""></a>
                <form class="mobile-search-form uk-search uk-search-default search-bar-style">
                    <span uk-search-icon id="search-icon-style2"></span>
                    <input id="search-bar-style2" class="uk-search-input" type="search" placeholder="Search">
                </form>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">

                    <div class="nav-left">

                        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                            <li class="nav-item">
                                <a class="nav-link active" id="home-icon" aria-current="page" href="/">
                                    <i class="fa-solid fa-house icon"></i>
                                    <span>Home</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="market-icon" href="/card-market.html?page=1">
                                    <i class="fa-solid fa-shop icon"></i>
                                    <span>Market</span>
                                </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="scanner-icon" href="/card-scanner.html">
                                    <i class="fa-solid fa-camera-retro icon"></i>
                                    <span>Scanner</span>
                                </a>
                            </li>
                        </ul>
                    </div>

                    <div class="nav-mid">
                        <form class="uk-search uk-search-default search-bar-style">
                            <span uk-search-icon id="search-icon-style"></span>
                            <input id="search-bar-style" class="uk-search-input" type="search" placeholder="Search">
                        </form>


                        <form>
                            <a class="uk-button uk-button-default filter-button-padding" href="#modal-sections" uk-toggle><i class="fa-solid fa-filter"></i></a>
                            <div id="modal-sections" uk-modal>
                                <div class="uk-modal-dialog">
                                    <button class="uk-modal-close-default" type="button" uk-close></button>
                                    <div class="uk-modal-header">
                                        <h2 class="uk-modal-title">Edit Filter Settings</h2>
                                    </div>
                                    <div class="uk-modal-body">
                                        <div class="uk-inline">
                                            <div class="uk-margin filter-container">
                                                <select class="uk-select uk-width-1-3 uk-margin-small first-selector-margin">
                                                    <option>Select Card Type</option>
                                                    <option>Effect Monster</option>
                                                    <option>Flip Effect Monster</option>
                                                    <option>Fusion Monster</option>
                                                    <option>Gemini Monster</option>
                                                    <option>Link Monster</option>
                                                    <option>Normal Monster</option>
                                                    <option>Normal Tuner Monster</option>
                                                    <option>Pendulum Effect Monster</option>
                                                    <option>Pendulum Flip Effect Monster</option>
                                                    <option>Pendulum Normal Monster</option>
                                                    <option>Pendulum Effect Ritual Monster</option>
                                                    <option>Pendulum Tuner Effect Monster</option>
                                                    <option>Ritual Effect Monster</option>
                                                    <option>Ritual Monster</option>
                                                    <option>Skill Card</option>
                                                    <option>Spell Card</option>
                                                    <option>Spirit Monster</option>
                                                    <option>Staple</option>
                                                    <option>Synchro Monster</option>
                                                    <option>Synchro Pendulum Effect Monster</option>
                                                    <option>Synchro Tuner Monster</option>
                                                    <option>Token</option>
                                                    <option>Trap Card</option>
                                                    <option>Tuner Monster</option>
                                                    <option>Union Effect Monster</option>
                                                    <option>XYZ Monster</option>
                                                    <option>XYZ Pendulum Effect Monster</option>
                                                </select>

                                                <select class="uk-select uk-width-1-3 uk-margin-small">
                                                    <option>Select Race</option>
                                                    <option>Aqua</option>
                                                    <option>Beast</option>
                                                    <option>Beast-Warrior</option>
                                                    <option>Counter</option>
                                                    <option>Continuous</option>
                                                    <option>Creator-God</option>
                                                    <option>Cyberse</option>
                                                    <option>Dinosaur</option>
                                                    <option>Divine-Beast</option>
                                                    <option>Dragon</option>
                                                    <option>Equip</option>
                                                    <option>Fairy</option>
                                                    <option>Fiend</option>
                                                    <option>Field</option>
                                                    <option>Fish</option>
                                                    <option>Insect</option>
                                                    <option>Machine</option>
                                                    <option>Normal</option>
                                                    <option>Plant</option>
                                                    <option>Psychic</option>
                                                    <option>Pyro</option>
                                                    <option>Quick-Play</option>
                                                    <option>Reptile</option>
                                                    <option>Rock</option>
                                                    <option>Ritual</option>
                                                    <option>Sea Serpent</option>
                                                    <option>Spellcaster</option>
                                                    <option>Thunder</option>
                                                    <option>Warrior</option>
                                                    <option>Winged Beast</option>
                                                    <option>Wyrm</option>
                                                    <option>Zombie</option>
                                                </select>

                                                <select class="uk-select uk-width-1-3 uk-margin-small">
                                                    <option>Select Attribute</option>
                                                    <option>Dark</option>
                                                    <option>Earth</option>
                                                    <option>Fire</option>
                                                    <option>Light</option>
                                                    <option>Water</option>
                                                    <option>Wind</option>
                                                    <option>Divine</option>
                                                </select>


                                                <select class="uk-select uk-width-1-3 uk-margin-small">
                                                    <option>Select Card Effect</option>
                                                    <option>Back to Deck</option>
                                                    <option>Banish</option>
                                                    <option>Change ATK or DEF</option>
                                                    <option>Control</option>
                                                    <option>Counter</option>
                                                    <option>Damage LP</option>
                                                    <option>Destroy Monster</option>
                                                    <option>Direct Attack</option>
                                                    <option>Draw</option>
                                                    <option>Effect Damage</option>
                                                    <option>Fusion-Related</option>
                                                    <option>Gamble</option>
                                                    <option>Graveyard</option>
                                                    <option>Increase Level</option>
                                                    <option>LINK-Related</option>
                                                    <option>Negate</option>
                                                    <option>Pendulum-Related</option>
                                                    <option>Piercing</option>
                                                    <option>Recover LP</option>
                                                    <option>Ritual-Related</option>
                                                    <option>Search</option>
                                                    <option>Select</option>
                                                    <option>Special Summon</option>
                                                    <option>Synchro-Related</option>
                                                    <option>Token</option>
                                                    <option>Tuner-Related</option>
                                                    <option>Win the Duel</option>
                                                    <option>XYZ-Related</option>
                                                </select>

                                                <select class="uk-select uk-width-1-3 uk-margin-small">
                                                    <option>Select Ban List</option>
                                                    <option>TCG</option>
                                                    <option>OCG</option>
                                                    <option>Goat</option>
                                                </select>

                                                <select class="uk-select uk-width-1-3 uk-margin-small">
                                                    <option>Select Card Archetype</option>
                                                    <option>race</option>
                                                    <option>Andrew</option>
                                                    <option>Dragon</option>
                                                    <option>Aqua</option>
                                                    <option>Yami Yugi</option>
                                                    <option>Ishizu Ishtar</option>
                                                    <option>Normal</option>
                                                    <option>Pegasus</option>
                                                    <option>Jesse Anderso</option>
                                                    <option>Mako</option>
                                                    <option>Odion</option>
                                                    <option>Reptile</option>
                                                    <option>Dr. Vellian C</option>
                                                    <option>Sea Serpent</option>
                                                    <option>Tyranno Hassl</option>
                                                    <option>Rex</option>
                                                    <option>Yugi</option>
                                                    <option>Creator-God</option>
                                                    <option>Cyberse</option>
                                                    <option>Mai</option>
                                                    <option>Rock</option>
                                                    <option>Alexis Rhodes</option>
                                                    <option>Syrus Truesda</option>
                                                    <option>Continuous</option>
                                                    <option>Axel Brodie</option>
                                                    <option>Spellcaster</option>
                                                    <option>Aster Phoenix</option>
                                                    <option>Bastion Misaw</option>
                                                    <option>Lumis Umbra</option>
                                                    <option>Joey</option>
                                                    <option>Ishizu</option>
                                                    <option>Wyrm</option>
                                                    <option>Plant</option>
                                                    <option>Bonz</option>
                                                    <option>Zombie</option>
                                                    <option>Counter</option>
                                                    <option>Field</option>
                                                    <option>David</option>
                                                    <option>Weevil</option>
                                                    <option>Machine</option>
                                                    <option>Yubel</option>
                                                    <option>Joey Wheeler</option>
                                                    <option>Thunder</option>
                                                    <option>Chazz Princet</option>
                                                    <option>Winged Beast</option>
                                                    <option>Equip</option>
                                                    <option>Christine</option>
                                                    <option>Pyro</option>
                                                    <option>Espa Roba</option>
                                                    <option>Beast</option>
                                                    <option>Keith</option>
                                                    <option>Tea Gardner</option>
                                                    <option>Emma</option>
                                                    <option>Yami Bakura</option>
                                                    <option>Ritual</option>
                                                    <option>Fish</option>
                                                    <option>Fairy</option>
                                                    <option>Psychic</option>
                                                    <option>Seto Kaiba</option>
                                                    <option>Insect</option>
                                                    <option>Kaiba</option>
                                                    <option>Dinosaur</option>
                                                    <option>Mai Valentine</option>
                                                    <option>Beast-Warrior</option>
                                                    <option>Warrior</option>
                                                    <option>Jaden Yuki</option>
                                                    <option>Yami Marik</option>
                                                    <option>Quick-Play</option>
                                                    <option>Arkana</option>
                                                    <option>Zane Truesdal</option>
                                                    <option>Fiend</option>
                                                    <option>Divine-Beast</option>
                                                </select>

                                                <select class="uk-select uk-width-1-3 uk-margin-small">
                                                    <option>Select Format</option>
                                                    <option>TCG</option>
                                                    <option>Duel Links</option>
                                                    <option>Speed Duel</option>
                                                    <option>Rush Duel</option>
                                                    <option>GOAT</option>
                                                    <option>OCG GOAT</option>
                                                </select>

                                                <select class="uk-select uk-width-1-3 uk-margin-small">
                                                    <option>Select Card Rarity</option>
                                                    <option></option>
                                                </select>

                                                <select class="uk-select uk-width-1-3 uk-margin-small">
                                                    <option>Select star</option>
                                                    <option>1</option>
                                                    <option>2</option>
                                                    <option>3</option>
                                                    <option>4</option>
                                                    <option>5</option>
                                                    <option>6</option>
                                                    <option>7</option>
                                                    <option>8</option>
                                                    <option>9</option>
                                                    <option>10</option>
                                                    <option>11</option>
                                                    <option>12</option>
                                                </select>

                                                <div class="uk-margin search-filter-element">
                                                    <input class="uk-input" type="text" placeholder="ATK Value">
                                                </div>

                                                <div class="uk-margin search-filter-element">
                                                    <input class="uk-input" type="text" placeholder="DEF Value">
                                                </div>

                                                <div class="uk-margin search-filter-element">
                                                    <input class="uk-input" type="text" placeholder="Link Value">
                                                </div>

                                                <div class="uk-margin search-filter-element">
                                                    <input class="uk-input" type="text" placeholder="Scale Value">

                                                </div>


                                            </div>
                                            <div class="uk-margin">
                                                <div>Card Price Range</div>
                                                <input class="uk-range" id="price-range" type="range" value="1" min="1" max="999">
                                                <p>$ <span id="output-value"></span></p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="uk-modal-footer uk-text-right">
                                        <button class="uk-button uk-button-default uk-modal-close" type="button">Cancel</button>
                                        <button class="uk-button uk-button-primary" type="button">Search</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>


                    <div class="nav-right">
                        <div id="nav-cart-icon">
                            <ul class="navbar-nav me-auto mb-2 mb-lg-0" id="cart-icon">
                                <li>
                                    <a href="#">
                                        <i class="fa-solid fa-cart-shopping"></i>
                                        <span>Cart</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <div class="dropdown">
                            <a class="dropdown-toggle user-action" href="/sign-in.html" role="button" id="dropdownMenuLink" data-bs-toggle="dropdown" aria-expanded="false">
                                <img src="/test-avatar.jpeg" class="avatar" alt="Avatar">
                                <span>login咗</span>
                            </a>

                            <ul class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                <li><a class="dropdown-item" href="#">Profile</a></li>
                                <li><a class="dropdown-item" href="#">Cart</a></li>
                                <li><a class="dropdown-item" href="/sign-in.html">Sign In</a></li>
                            </ul>
                        </div>

                    </div>
                    </ul>
                </div>
            </div>
        </nav>
    </div>
    <!-- </div> -->
    <!----------------------------- Nav Bar Area----------------------------->
    </header>
    <main>
        <!--------------------------------  Title -------------------------------->
        <div class="uk-section">
            <div class="uk-container uk-content-center">
                <ul class="uk-breadcrumb ">
                    <li><a href="/">Card Scan</a></li>
                </ul>
            </div>
            <!--------------------------------  Title -------------------------------->

            <!--------------------------------  Tab Area -------------------------------->
            <div class="uk-container uk-content-center">
                <div class="uk-position-relative uk-margin-medium">
                    <!--------------------------------  Cards info Area Start ------------------------------->
                    <div class=" uk-grid-match uk-child-width-expand@m " uk-grid>
                        <div class="card-info lock">
                            <div class="content">
                                <h1>Scan Cards</h1><br>
                                <div class="videos">
                                    <video id="videoInput" width="640" height="480" autoplay style="display: none"></video>
                                    <canvas id="uploadCanvas" width="640" height="480" style="display: none"></canvas>
                                    <canvas id="canvasOutput" width="640" height="480"></canvas>
                                </div>

                                <form id="uploadForm">
                                    <input type="file" name="image" id="image">
                                    <input type="submit" value="upload" class="uploadButton">
                                </form>
                                <form id="cam-form">
                                    <button class="take-picture uploadButton" type="submit" id="fuckpic">take
                                        picture</button>
                                </form>
                            </div>
                        </div>

                        <!-- <div class="card-detail-padding">
                            <img src="https://pbs.twimg.com/media/B_1a_VKUcAIAlu8?format=jpg&name=medium" class="card-detail-image-size" alt="">
                        </div> -->
                        <div id="card-detail-data">
                            <div>Name: ?</div>
                            <div>Level : ?</div>
                            <div>Number: ?</div>
                            <div>Attribute: ?</div>
                            <div>Card Type: ?</div>
                            <div>Race : ?</div>
                            <div>Archetype: ?</div>
                            <div>ATK : ?</div>
                            <div>DEF: ?</div>
                            <div>Content: ?
                            </div>
                            <br><a href="card-detail.html?cardId=10">more details....</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <img src="small_pic/572850.jpg" id="marker1" style="display: none"></img>
        <img src="small_pic/572850.jpg" id="marker2" style="display: none"></img>
        <img src="small_pic/572850.jpg" id="effect1" style="display: none"></img>
        <img src="small_pic/572850.jpg" id="effect2" style="display: none"></img>

    </main>
    <!--    <script onload="onOpenCvReady()"></script>-->
    <!--    <script src="https://webrtc.github.io/adapter/adapter-5.0.4.js" type="text/javascript"></script>-->

    <!--    <script async src="https://cdn.jsdelivr.net/gh/wallat/compiled-opencvjs/v4.2.0/opencv.js" async onload="onOpenCvReady()" type="text/javascript"></script>-->
    <script src="js/ar.js"></script>
    <script async src="js/opencv.js"></script>
    <script async src="js/opencv-py.js" type="text/javascript"></script>
    <!--        <script src="js/card-scan-mat.js"></script>-->
    <!--    <script async src="js/alexfreest.js"></script>-->
    <!--        <script async src="js/testcam.js"></script>-->
    <script src="https://cdn.jsdelivr.net/npm/uikit@3.14.1/dist/js/uikit.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/uikit@3.14.1/dist/js/uikit-icons.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/foundation-sites@6.7.4/dist/js/foundation.min.js" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-pprn3073KE6tl6bjs2QrFaJGz5/SUsLqktiwsUTF55Jfv3qYSDhgCecCxMW52nD2" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/3.8.0/chart.min.js" integrity="sha512-sW/w8s4RWTdFFSduOTGtk4isV1+190E/GghVffMA9XczdJ2MDzSzLEubKAs5h0wzgSJOQTRYyaz73L3d6RtJSg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
</body>

</html>